openapi: 3.0.3
info:
  title: 'Laravel API Documentation'
  description: ''
  version: 1.0.0
servers:
  -
    url: 'https://infinia.botble.com'
tags:
  -
    name: Authentication
    description: ''
  -
    name: Blog
    description: ''
  -
    name: Profile
    description: ''
paths:
  /api/v1/register:
    post:
      summary: Register
      operationId: register
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data: null
                  message: 'Registered successfully! We emailed you to verify your account!'
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Registered successfully! We emailed you to verify your account!'
        422:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: 'The given data was invalid.'
                  errors:
                    name:
                      - 'The name field is required.'
                    email:
                      - 'The email field is required.'
                    password:
                      - 'The password field is required.'
                properties:
                  message:
                    type: string
                    example: 'The given data was invalid.'
                  errors:
                    type: object
                    properties:
                      name:
                        type: array
                        example:
                          - 'The name field is required.'
                        items:
                          type: string
                      email:
                        type: array
                        example:
                          - 'The email field is required.'
                        items:
                          type: string
                      password:
                        type: array
                        example:
                          - 'The password field is required.'
                        items:
                          type: string
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: 'This field is required when <code>name</code> is not present. Must not be greater than 120 characters. Must be at least 2 characters.'
                  example: 'e.g: John'
                  nullable: true
                last_name:
                  type: string
                  description: 'This field is required when <code>name</code> is not present. Must not be greater than 120 characters. Must be at least 2 characters.'
                  example: 'e.g: Smith'
                  nullable: true
                name:
                  type: string
                  description: 'The name of the user.'
                  example: architecto
                  nullable: true
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gbailey@example.net
                  nullable: false
                password:
                  type: string
                  description: 'The password of user to create.'
                  example: '|]|{+-'
                  nullable: false
                phone:
                  type: string
                  description: 'The phone of the user.'
                  example: architecto
                  nullable: true
                password_confirmation:
                  type: string
                  description: 'The password confirmation.'
                  example: architecto
                  nullable: false
              required:
                - name
                - email
                - password
                - phone
                - password_confirmation
      security: []
  /api/v1/login:
    post:
      summary: Login
      operationId: login
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data:
                    token: 1|aF5s7p3xxx1lVL8hkSrPN72m4wPVpTvTs...
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      token:
                        type: string
                        example: 1|aF5s7p3xxx1lVL8hkSrPN72m4wPVpTvTs...
                  message:
                    type: string
                    example: null
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gbailey@example.net
                  nullable: false
                password:
                  type: string
                  description: 'The password of user to create.'
                  example: '|]|{+-'
                  nullable: false
              required:
                - email
                - password
      security: []
  /api/v1/email/check:
    post:
      summary: 'Check email existing or not'
      operationId: checkEmailExistingOrNot
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data:
                    exists: true
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      exists:
                        type: boolean
                        example: true
                  message:
                    type: string
                    example: null
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gbailey@example.net
                  nullable: false
              required:
                - email
      security: []
  /api/v1/password/forgot:
    post:
      summary: 'Forgot password'
      operationId: forgotPassword
      description: 'Send a reset link to the given user.'
      parameters: []
      responses: {  }
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gbailey@example.net
                  nullable: false
              required:
                - email
      security: []
  /api/v1/resend-verify-account-email:
    post:
      summary: 'Resend email verification'
      operationId: resendEmailVerification
      description: 'Resend the email verification notification.'
      parameters: []
      responses: {  }
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gbailey@example.net
                  nullable: false
              required:
                - email
      security: []
  /api/v1/logout:
    get:
      summary: Logout
      operationId: logout
      description: ''
      parameters: []
      responses:
        401:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: Unauthenticated.
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: Unauthenticated.
      tags:
        - Authentication
  /api/v1/search:
    get:
      summary: 'Search post'
      operationId: searchPost
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'No results found, please try with different keywords.'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'No results found, please try with different keywords.'
      tags:
        - Blog
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                q:
                  type: string
                  description: 'The search keyword.'
                  example: architecto
                  nullable: false
              required:
                - q
      security: []
  /api/v1/posts:
    get:
      summary: 'List posts'
      operationId: listPosts
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Top Trends in Digital Marketing and How They Impact Your Business'
                      slug: top-trends-in-digital-marketing-and-how-they-impact-your-business
                      description: 'The digital marketing landscape is ever-evolving, driven by technological advancements, changes in consumer behavior, and the ongoing quest for businesses to stay ahead of the competition. Staying informed about the latest trends is crucial for any business looking to enhance its marketing strategies and achieve growth'
                      image: 'https://infinia.botble.com/storage/posts/17.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Open Source Contributions'
                          slug: open-source-contributions
                          url: 'https://infinia.botble.com/open-source-contributions'
                          description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        -
                          id: 4
                          name: 'Technology Reviews'
                          slug: technology-reviews
                          url: 'https://infinia.botble.com/technology-reviews'
                          description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                      tags:
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 4
                          name: 'Web Design'
                          slug: web-design
                          description: null
                        -
                          id: 6
                          name: 'Full Stack Development'
                          slug: full-stack-development
                          description: null
                      created_at: '2024-04-26T22:03:41.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 2
                      name: 'My Journey in Open Source: 3 Years of Contributions'
                      slug: my-journey-in-open-source-3-years-of-contributions
                      description: 'A personal reflection on my experiences contributing to open source projects over the past three years, sharing lessons learned and advice for aspiring contributors.'
                      image: 'https://infinia.botble.com/storage/posts/5.jpg'
                      categories:
                        -
                          id: 3
                          name: Tutorials
                          slug: tutorials
                          url: 'https://infinia.botble.com/tutorials'
                          description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                        -
                          id: 8
                          name: 'Design Portfolio'
                          slug: design-portfolio
                          url: 'https://infinia.botble.com/design-portfolio'
                          description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                      tags:
                        -
                          id: 1
                          name: 'Botble CMS'
                          slug: botble-cms
                          description: null
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 5
                          name: 'API Development'
                          slug: api-development
                          description: null
                      created_at: '2024-05-01T10:52:16.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 3
                      name: '5 Essential Tools for Web Developers in 2024'
                      slug: 5-essential-tools-for-web-developers-in-2024
                      description: 'Discover the top 5 tools that are essential for web developers in 2024, from frameworks and libraries to productivity boosters.'
                      image: 'https://infinia.botble.com/storage/posts/6.jpg'
                      categories:
                        -
                          id: 3
                          name: Tutorials
                          slug: tutorials
                          url: 'https://infinia.botble.com/tutorials'
                          description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                        -
                          id: 4
                          name: 'Technology Reviews'
                          slug: technology-reviews
                          url: 'https://infinia.botble.com/technology-reviews'
                          description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                      tags:
                        -
                          id: 2
                          name: JavaScript
                          slug: javascript
                          description: null
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 8
                          name: 'GitHub Projects'
                          slug: github-projects
                          description: null
                      created_at: '2025-02-03T06:38:23.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 4
                      name: 'How I Built My Personal Portfolio Using Botble CMS'
                      slug: how-i-built-my-personal-portfolio-using-botble-cms
                      description: 'A detailed walkthrough on how I built my portfolio website using Botble CMS, customizing it with the Zelio template for an impressive online presence.'
                      image: 'https://infinia.botble.com/storage/posts/20.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Web Development'
                          slug: web-development
                          url: 'https://infinia.botble.com/web-development'
                          description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        -
                          id: 8
                          name: 'Design Portfolio'
                          slug: design-portfolio
                          url: 'https://infinia.botble.com/design-portfolio'
                          description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                      tags:
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 5
                          name: 'API Development'
                          slug: api-development
                          description: null
                        -
                          id: 6
                          name: 'Full Stack Development'
                          slug: full-stack-development
                          description: null
                      created_at: '2024-06-03T18:12:42.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 5
                      name: 'Creating Responsive UIs with Tailwind CSS'
                      slug: creating-responsive-uis-with-tailwind-css
                      description: 'Learn how to create responsive user interfaces quickly and efficiently using the utility-first CSS framework, Tailwind CSS.'
                      image: 'https://infinia.botble.com/storage/posts/9.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Web Development'
                          slug: web-development
                          url: 'https://infinia.botble.com/web-development'
                          description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        -
                          id: 6
                          name: 'Career Journey'
                          slug: career-journey
                          url: 'https://infinia.botble.com/career-journey'
                          description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                      tags:
                        -
                          id: 4
                          name: 'Web Design'
                          slug: web-design
                          description: null
                        -
                          id: 8
                          name: 'GitHub Projects'
                          slug: github-projects
                          description: null
                      created_at: '2024-12-24T08:24:37.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 6
                      name: 'Why I Love Contributing to Open Source Projects'
                      slug: why-i-love-contributing-to-open-source-projects
                      description: 'A deep dive into why open source matters to me, how it helped me grow as a developer, and why every developer should contribute to open source.'
                      image: 'https://infinia.botble.com/storage/posts/5.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Open Source Contributions'
                          slug: open-source-contributions
                          url: 'https://infinia.botble.com/open-source-contributions'
                          description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        -
                          id: 9
                          name: Collaborations
                          slug: collaborations
                          url: 'https://infinia.botble.com/collaborations'
                          description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                      tags:
                        -
                          id: 1
                          name: 'Botble CMS'
                          slug: botble-cms
                          description: null
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 6
                          name: 'Full Stack Development'
                          slug: full-stack-development
                          description: null
                      created_at: '2024-12-22T14:48:47.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 7
                      name: 'A Deep Dive into Laravel for Beginners'
                      slug: a-deep-dive-into-laravel-for-beginners
                      description: 'A comprehensive guide for beginners who want to learn Laravel, covering everything from installation to building a simple application.'
                      image: 'https://infinia.botble.com/storage/posts/16.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Open Source Contributions'
                          slug: open-source-contributions
                          url: 'https://infinia.botble.com/open-source-contributions'
                          description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        -
                          id: 4
                          name: 'Technology Reviews'
                          slug: technology-reviews
                          url: 'https://infinia.botble.com/technology-reviews'
                          description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                      tags:
                        -
                          id: 2
                          name: JavaScript
                          slug: javascript
                          description: null
                        -
                          id: 5
                          name: 'API Development'
                          slug: api-development
                          description: null
                        -
                          id: 6
                          name: 'Full Stack Development'
                          slug: full-stack-development
                          description: null
                      created_at: '2024-12-29T00:59:24.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 8
                      name: 'Exploring the Benefits of MySQL for Large-Scale Projects'
                      slug: exploring-the-benefits-of-mysql-for-large-scale-projects
                      description: 'An exploration of why MySQL is a great choice for large-scale projects, highlighting features, scalability, and performance tips.'
                      image: 'https://infinia.botble.com/storage/posts/8.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Web Development'
                          slug: web-development
                          url: 'https://infinia.botble.com/web-development'
                          description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        -
                          id: 5
                          name: 'Personal Blog'
                          slug: personal-blog
                          url: 'https://infinia.botble.com/personal-blog'
                          description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                      tags:
                        -
                          id: 2
                          name: JavaScript
                          slug: javascript
                          description: null
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 5
                          name: 'API Development'
                          slug: api-development
                          description: null
                      created_at: '2024-12-06T16:33:04.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 9
                      name: 'How to Integrate APIs in Node.js for Your Next Project'
                      slug: how-to-integrate-apis-in-nodejs-for-your-next-project
                      description: 'Learn how to seamlessly integrate third-party APIs in your Node.js applications for powerful data access and functionality.'
                      image: 'https://infinia.botble.com/storage/posts/10.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Web Development'
                          slug: web-development
                          url: 'https://infinia.botble.com/web-development'
                          description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        -
                          id: 2
                          name: 'Open Source Contributions'
                          slug: open-source-contributions
                          url: 'https://infinia.botble.com/open-source-contributions'
                          description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                      tags:
                        -
                          id: 3
                          name: 'Open Source'
                          slug: open-source
                          description: null
                        -
                          id: 5
                          name: 'API Development'
                          slug: api-development
                          description: null
                        -
                          id: 8
                          name: 'GitHub Projects'
                          slug: github-projects
                          description: null
                      created_at: '2024-07-16T22:20:38.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                    -
                      id: 10
                      name: 'Best Practices for Designing User-Friendly Websites'
                      slug: best-practices-for-designing-user-friendly-websites
                      description: 'Discover the best practices for designing websites that are not only aesthetically pleasing but also user-friendly and accessible.'
                      image: 'https://infinia.botble.com/storage/posts/9.jpg'
                      categories:
                        -
                          id: 5
                          name: 'Personal Blog'
                          slug: personal-blog
                          url: 'https://infinia.botble.com/personal-blog'
                          description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                        -
                          id: 9
                          name: Collaborations
                          slug: collaborations
                          url: 'https://infinia.botble.com/collaborations'
                          description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                      tags:
                        -
                          id: 4
                          name: 'Web Design'
                          slug: web-design
                          description: null
                        -
                          id: 8
                          name: 'GitHub Projects'
                          slug: github-projects
                          description: null
                      created_at: '2024-05-04T14:58:36.000000Z'
                      updated_at: '2025-03-14T02:56:21.000000Z'
                  links:
                    first: 'https://infinia.botble.com/api/v1/posts?page=1'
                    last: 'https://infinia.botble.com/api/v1/posts?page=2'
                    prev: null
                    next: 'https://infinia.botble.com/api/v1/posts?page=2'
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 2
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/posts?page=1'
                        label: '1'
                        active: true
                      -
                        url: 'https://infinia.botble.com/api/v1/posts?page=2'
                        label: '2'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/posts?page=2'
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://infinia.botble.com/api/v1/posts'
                    per_page: 10
                    to: 10
                    total: 15
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Top Trends in Digital Marketing and How They Impact Your Business'
                        slug: top-trends-in-digital-marketing-and-how-they-impact-your-business
                        description: 'The digital marketing landscape is ever-evolving, driven by technological advancements, changes in consumer behavior, and the ongoing quest for businesses to stay ahead of the competition. Staying informed about the latest trends is crucial for any business looking to enhance its marketing strategies and achieve growth'
                        image: 'https://infinia.botble.com/storage/posts/17.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Open Source Contributions'
                            slug: open-source-contributions
                            url: 'https://infinia.botble.com/open-source-contributions'
                            description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                          -
                            id: 4
                            name: 'Technology Reviews'
                            slug: technology-reviews
                            url: 'https://infinia.botble.com/technology-reviews'
                            description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                        tags:
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 4
                            name: 'Web Design'
                            slug: web-design
                            description: null
                          -
                            id: 6
                            name: 'Full Stack Development'
                            slug: full-stack-development
                            description: null
                        created_at: '2024-04-26T22:03:41.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 2
                        name: 'My Journey in Open Source: 3 Years of Contributions'
                        slug: my-journey-in-open-source-3-years-of-contributions
                        description: 'A personal reflection on my experiences contributing to open source projects over the past three years, sharing lessons learned and advice for aspiring contributors.'
                        image: 'https://infinia.botble.com/storage/posts/5.jpg'
                        categories:
                          -
                            id: 3
                            name: Tutorials
                            slug: tutorials
                            url: 'https://infinia.botble.com/tutorials'
                            description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                          -
                            id: 8
                            name: 'Design Portfolio'
                            slug: design-portfolio
                            url: 'https://infinia.botble.com/design-portfolio'
                            description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                        tags:
                          -
                            id: 1
                            name: 'Botble CMS'
                            slug: botble-cms
                            description: null
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 5
                            name: 'API Development'
                            slug: api-development
                            description: null
                        created_at: '2024-05-01T10:52:16.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 3
                        name: '5 Essential Tools for Web Developers in 2024'
                        slug: 5-essential-tools-for-web-developers-in-2024
                        description: 'Discover the top 5 tools that are essential for web developers in 2024, from frameworks and libraries to productivity boosters.'
                        image: 'https://infinia.botble.com/storage/posts/6.jpg'
                        categories:
                          -
                            id: 3
                            name: Tutorials
                            slug: tutorials
                            url: 'https://infinia.botble.com/tutorials'
                            description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                          -
                            id: 4
                            name: 'Technology Reviews'
                            slug: technology-reviews
                            url: 'https://infinia.botble.com/technology-reviews'
                            description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                        tags:
                          -
                            id: 2
                            name: JavaScript
                            slug: javascript
                            description: null
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 8
                            name: 'GitHub Projects'
                            slug: github-projects
                            description: null
                        created_at: '2025-02-03T06:38:23.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 4
                        name: 'How I Built My Personal Portfolio Using Botble CMS'
                        slug: how-i-built-my-personal-portfolio-using-botble-cms
                        description: 'A detailed walkthrough on how I built my portfolio website using Botble CMS, customizing it with the Zelio template for an impressive online presence.'
                        image: 'https://infinia.botble.com/storage/posts/20.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Web Development'
                            slug: web-development
                            url: 'https://infinia.botble.com/web-development'
                            description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                          -
                            id: 8
                            name: 'Design Portfolio'
                            slug: design-portfolio
                            url: 'https://infinia.botble.com/design-portfolio'
                            description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                        tags:
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 5
                            name: 'API Development'
                            slug: api-development
                            description: null
                          -
                            id: 6
                            name: 'Full Stack Development'
                            slug: full-stack-development
                            description: null
                        created_at: '2024-06-03T18:12:42.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 5
                        name: 'Creating Responsive UIs with Tailwind CSS'
                        slug: creating-responsive-uis-with-tailwind-css
                        description: 'Learn how to create responsive user interfaces quickly and efficiently using the utility-first CSS framework, Tailwind CSS.'
                        image: 'https://infinia.botble.com/storage/posts/9.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Web Development'
                            slug: web-development
                            url: 'https://infinia.botble.com/web-development'
                            description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                          -
                            id: 6
                            name: 'Career Journey'
                            slug: career-journey
                            url: 'https://infinia.botble.com/career-journey'
                            description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                        tags:
                          -
                            id: 4
                            name: 'Web Design'
                            slug: web-design
                            description: null
                          -
                            id: 8
                            name: 'GitHub Projects'
                            slug: github-projects
                            description: null
                        created_at: '2024-12-24T08:24:37.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 6
                        name: 'Why I Love Contributing to Open Source Projects'
                        slug: why-i-love-contributing-to-open-source-projects
                        description: 'A deep dive into why open source matters to me, how it helped me grow as a developer, and why every developer should contribute to open source.'
                        image: 'https://infinia.botble.com/storage/posts/5.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Open Source Contributions'
                            slug: open-source-contributions
                            url: 'https://infinia.botble.com/open-source-contributions'
                            description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                          -
                            id: 9
                            name: Collaborations
                            slug: collaborations
                            url: 'https://infinia.botble.com/collaborations'
                            description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                        tags:
                          -
                            id: 1
                            name: 'Botble CMS'
                            slug: botble-cms
                            description: null
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 6
                            name: 'Full Stack Development'
                            slug: full-stack-development
                            description: null
                        created_at: '2024-12-22T14:48:47.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 7
                        name: 'A Deep Dive into Laravel for Beginners'
                        slug: a-deep-dive-into-laravel-for-beginners
                        description: 'A comprehensive guide for beginners who want to learn Laravel, covering everything from installation to building a simple application.'
                        image: 'https://infinia.botble.com/storage/posts/16.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Open Source Contributions'
                            slug: open-source-contributions
                            url: 'https://infinia.botble.com/open-source-contributions'
                            description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                          -
                            id: 4
                            name: 'Technology Reviews'
                            slug: technology-reviews
                            url: 'https://infinia.botble.com/technology-reviews'
                            description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                        tags:
                          -
                            id: 2
                            name: JavaScript
                            slug: javascript
                            description: null
                          -
                            id: 5
                            name: 'API Development'
                            slug: api-development
                            description: null
                          -
                            id: 6
                            name: 'Full Stack Development'
                            slug: full-stack-development
                            description: null
                        created_at: '2024-12-29T00:59:24.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 8
                        name: 'Exploring the Benefits of MySQL for Large-Scale Projects'
                        slug: exploring-the-benefits-of-mysql-for-large-scale-projects
                        description: 'An exploration of why MySQL is a great choice for large-scale projects, highlighting features, scalability, and performance tips.'
                        image: 'https://infinia.botble.com/storage/posts/8.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Web Development'
                            slug: web-development
                            url: 'https://infinia.botble.com/web-development'
                            description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                          -
                            id: 5
                            name: 'Personal Blog'
                            slug: personal-blog
                            url: 'https://infinia.botble.com/personal-blog'
                            description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                        tags:
                          -
                            id: 2
                            name: JavaScript
                            slug: javascript
                            description: null
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 5
                            name: 'API Development'
                            slug: api-development
                            description: null
                        created_at: '2024-12-06T16:33:04.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 9
                        name: 'How to Integrate APIs in Node.js for Your Next Project'
                        slug: how-to-integrate-apis-in-nodejs-for-your-next-project
                        description: 'Learn how to seamlessly integrate third-party APIs in your Node.js applications for powerful data access and functionality.'
                        image: 'https://infinia.botble.com/storage/posts/10.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Web Development'
                            slug: web-development
                            url: 'https://infinia.botble.com/web-development'
                            description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                          -
                            id: 2
                            name: 'Open Source Contributions'
                            slug: open-source-contributions
                            url: 'https://infinia.botble.com/open-source-contributions'
                            description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        tags:
                          -
                            id: 3
                            name: 'Open Source'
                            slug: open-source
                            description: null
                          -
                            id: 5
                            name: 'API Development'
                            slug: api-development
                            description: null
                          -
                            id: 8
                            name: 'GitHub Projects'
                            slug: github-projects
                            description: null
                        created_at: '2024-07-16T22:20:38.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                      -
                        id: 10
                        name: 'Best Practices for Designing User-Friendly Websites'
                        slug: best-practices-for-designing-user-friendly-websites
                        description: 'Discover the best practices for designing websites that are not only aesthetically pleasing but also user-friendly and accessible.'
                        image: 'https://infinia.botble.com/storage/posts/9.jpg'
                        categories:
                          -
                            id: 5
                            name: 'Personal Blog'
                            slug: personal-blog
                            url: 'https://infinia.botble.com/personal-blog'
                            description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                          -
                            id: 9
                            name: Collaborations
                            slug: collaborations
                            url: 'https://infinia.botble.com/collaborations'
                            description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                        tags:
                          -
                            id: 4
                            name: 'Web Design'
                            slug: web-design
                            description: null
                          -
                            id: 8
                            name: 'GitHub Projects'
                            slug: github-projects
                            description: null
                        created_at: '2024-05-04T14:58:36.000000Z'
                        updated_at: '2025-03-14T02:56:21.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Top Trends in Digital Marketing and How They Impact Your Business'
                        slug:
                          type: string
                          example: top-trends-in-digital-marketing-and-how-they-impact-your-business
                        description:
                          type: string
                          example: 'The digital marketing landscape is ever-evolving, driven by technological advancements, changes in consumer behavior, and the ongoing quest for businesses to stay ahead of the competition. Staying informed about the latest trends is crucial for any business looking to enhance its marketing strategies and achieve growth'
                        image:
                          type: string
                          example: 'https://infinia.botble.com/storage/posts/17.jpg'
                        categories:
                          type: array
                          example:
                            -
                              id: 2
                              name: 'Open Source Contributions'
                              slug: open-source-contributions
                              url: 'https://infinia.botble.com/open-source-contributions'
                              description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                            -
                              id: 4
                              name: 'Technology Reviews'
                              slug: technology-reviews
                              url: 'https://infinia.botble.com/technology-reviews'
                              description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2
                              name:
                                type: string
                                example: 'Open Source Contributions'
                              slug:
                                type: string
                                example: open-source-contributions
                              url:
                                type: string
                                example: 'https://infinia.botble.com/open-source-contributions'
                              description:
                                type: string
                                example: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        tags:
                          type: array
                          example:
                            -
                              id: 3
                              name: 'Open Source'
                              slug: open-source
                              description: null
                            -
                              id: 4
                              name: 'Web Design'
                              slug: web-design
                              description: null
                            -
                              id: 6
                              name: 'Full Stack Development'
                              slug: full-stack-development
                              description: null
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 3
                              name:
                                type: string
                                example: 'Open Source'
                              slug:
                                type: string
                                example: open-source
                              description:
                                type: string
                                example: null
                        created_at:
                          type: string
                          example: '2024-04-26T22:03:41.000000Z'
                        updated_at:
                          type: string
                          example: '2025-03-14T02:56:21.000000Z'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts?page=1'
                      last:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts?page=2'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts?page=2'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 2
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/posts?page=1'
                            label: '1'
                            active: true
                          -
                            url: 'https://infinia.botble.com/api/v1/posts?page=2'
                            label: '2'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/posts?page=2'
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 10
                      total:
                        type: integer
                        example: 15
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/categories:
    get:
      summary: 'List categories'
      operationId: listCategories
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Web Development'
                      slug: web-development
                      description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 2
                      name: 'Open Source Contributions'
                      slug: open-source-contributions
                      description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 3
                      name: Tutorials
                      slug: tutorials
                      description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 4
                      name: 'Technology Reviews'
                      slug: technology-reviews
                      description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 5
                      name: 'Personal Blog'
                      slug: personal-blog
                      description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 6
                      name: 'Career Journey'
                      slug: career-journey
                      description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 7
                      name: 'Coding Challenges'
                      slug: coding-challenges
                      description: 'Expedita aut ut ut quae saepe. Nesciunt fuga ut iusto omnis reprehenderit excepturi placeat. Eveniet molestias explicabo iure qui harum sint sapiente. Et vero et distinctio eligendi sunt.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 8
                      name: 'Design Portfolio'
                      slug: design-portfolio
                      description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                    -
                      id: 9
                      name: Collaborations
                      slug: collaborations
                      description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                      children: []
                      parent:
                        id: null
                        name: null
                        slug: ''
                        url: 'https://infinia.botble.com'
                        description: null
                  links:
                    first: 'https://infinia.botble.com/api/v1/categories?page=1'
                    last: 'https://infinia.botble.com/api/v1/categories?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/categories?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://infinia.botble.com/api/v1/categories'
                    per_page: 10
                    to: 9
                    total: 9
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Web Development'
                        slug: web-development
                        description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 2
                        name: 'Open Source Contributions'
                        slug: open-source-contributions
                        description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 3
                        name: Tutorials
                        slug: tutorials
                        description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 4
                        name: 'Technology Reviews'
                        slug: technology-reviews
                        description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 5
                        name: 'Personal Blog'
                        slug: personal-blog
                        description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 6
                        name: 'Career Journey'
                        slug: career-journey
                        description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 7
                        name: 'Coding Challenges'
                        slug: coding-challenges
                        description: 'Expedita aut ut ut quae saepe. Nesciunt fuga ut iusto omnis reprehenderit excepturi placeat. Eveniet molestias explicabo iure qui harum sint sapiente. Et vero et distinctio eligendi sunt.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 8
                        name: 'Design Portfolio'
                        slug: design-portfolio
                        description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                      -
                        id: 9
                        name: Collaborations
                        slug: collaborations
                        description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                        children: []
                        parent:
                          id: null
                          name: null
                          slug: ''
                          url: 'https://infinia.botble.com'
                          description: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Web Development'
                        slug:
                          type: string
                          example: web-development
                        description:
                          type: string
                          example: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                        children:
                          type: array
                          example: []
                        parent:
                          type: object
                          properties:
                            id:
                              type: string
                              example: null
                            name:
                              type: string
                              example: null
                            slug:
                              type: string
                              example: ''
                            url:
                              type: string
                              example: 'https://infinia.botble.com'
                            description:
                              type: string
                              example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories?page=1'
                      last:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/categories?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 9
                      total:
                        type: integer
                        example: 9
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/tags:
    get:
      summary: 'List tags'
      operationId: listTags
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Botble CMS'
                      slug: botble-cms
                      description: null
                    -
                      id: 2
                      name: JavaScript
                      slug: javascript
                      description: null
                    -
                      id: 3
                      name: 'Open Source'
                      slug: open-source
                      description: null
                    -
                      id: 4
                      name: 'Web Design'
                      slug: web-design
                      description: null
                    -
                      id: 5
                      name: 'API Development'
                      slug: api-development
                      description: null
                    -
                      id: 6
                      name: 'Full Stack Development'
                      slug: full-stack-development
                      description: null
                    -
                      id: 7
                      name: 'Vietnam Developer'
                      slug: vietnam-developer
                      description: null
                    -
                      id: 8
                      name: 'GitHub Projects'
                      slug: github-projects
                      description: null
                  links:
                    first: 'https://infinia.botble.com/api/v1/tags?page=1'
                    last: 'https://infinia.botble.com/api/v1/tags?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/tags?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://infinia.botble.com/api/v1/tags'
                    per_page: 10
                    to: 8
                    total: 8
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Botble CMS'
                        slug: botble-cms
                        description: null
                      -
                        id: 2
                        name: JavaScript
                        slug: javascript
                        description: null
                      -
                        id: 3
                        name: 'Open Source'
                        slug: open-source
                        description: null
                      -
                        id: 4
                        name: 'Web Design'
                        slug: web-design
                        description: null
                      -
                        id: 5
                        name: 'API Development'
                        slug: api-development
                        description: null
                      -
                        id: 6
                        name: 'Full Stack Development'
                        slug: full-stack-development
                        description: null
                      -
                        id: 7
                        name: 'Vietnam Developer'
                        slug: vietnam-developer
                        description: null
                      -
                        id: 8
                        name: 'GitHub Projects'
                        slug: github-projects
                        description: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Botble CMS'
                        slug:
                          type: string
                          example: botble-cms
                        description:
                          type: string
                          example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/tags?page=1'
                      last:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/tags?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/tags?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/tags'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 8
                      total:
                        type: integer
                        example: 8
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/posts/filters:
    get:
      summary: 'Filters posts'
      operationId: filtersPosts
      description: ''
      parameters:
        -
          in: query
          name: page
          description: 'Current page of the collection. Default: 1'
          example: 16
          required: false
          schema:
            type: integer
            description: 'Current page of the collection. Default: 1'
            example: 16
            nullable: false
        -
          in: query
          name: per_page
          description: 'Maximum number of items to be returned in result set.Default: 10'
          example: 16
          required: false
          schema:
            type: integer
            description: 'Maximum number of items to be returned in result set.Default: 10'
            example: 16
            nullable: false
        -
          in: query
          name: search
          description: 'Limit results to those matching a string.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit results to those matching a string.'
            example: architecto
            nullable: false
        -
          in: query
          name: after
          description: 'Limit response to posts published after a given ISO8601 compliant date.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit response to posts published after a given ISO8601 compliant date.'
            example: architecto
            nullable: false
        -
          in: query
          name: author
          description: 'Limit result set to posts assigned to specific authors.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to posts assigned to specific authors.'
            example: architecto
            nullable: false
        -
          in: query
          name: author_exclude
          description: 'Ensure result set excludes posts assigned to specific authors.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Ensure result set excludes posts assigned to specific authors.'
            example: architecto
            nullable: false
        -
          in: query
          name: before
          description: 'Limit response to posts published before a given ISO8601 compliant date.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit response to posts published before a given ISO8601 compliant date.'
            example: architecto
            nullable: false
        -
          in: query
          name: exclude
          description: 'Ensure result set excludes specific IDs.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Ensure result set excludes specific IDs.'
            example: architecto
            nullable: false
        -
          in: query
          name: include
          description: 'Limit result set to specific IDs.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to specific IDs.'
            example: architecto
            nullable: false
        -
          in: query
          name: order
          description: 'Order sort attribute ascending or descending. Default: desc .One of: asc, desc'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Order sort attribute ascending or descending. Default: desc .One of: asc, desc'
            example: architecto
            nullable: false
        -
          in: query
          name: order_by
          description: 'Sort collection by object attribute. Default: updated_at. One of: author, created_at, updated_at, id,  slug, title'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Sort collection by object attribute. Default: updated_at. One of: author, created_at, updated_at, id,  slug, title'
            example: architecto
            nullable: false
        -
          in: query
          name: categories
          description: 'Limit result set to all items that have the specified term assigned in the categories taxonomy.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to all items that have the specified term assigned in the categories taxonomy.'
            example: architecto
            nullable: false
        -
          in: query
          name: categories_exclude
          description: 'Limit result set to all items except those that have the specified term assigned in the categories taxonomy.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to all items except those that have the specified term assigned in the categories taxonomy.'
            example: architecto
            nullable: false
        -
          in: query
          name: tags
          description: 'Limit result set to all items that have the specified term assigned in the tags taxonomy.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to all items that have the specified term assigned in the tags taxonomy.'
            example: architecto
            nullable: false
        -
          in: query
          name: tags_exclude
          description: 'Limit result set to all items except those that have the specified term assigned in the tags taxonomy.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to all items except those that have the specified term assigned in the tags taxonomy.'
            example: architecto
            nullable: false
        -
          in: query
          name: featured
          description: 'Limit result set to items that are sticky.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to items that are sticky.'
            example: architecto
            nullable: false
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data: []
                  links:
                    first: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                    last: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                    prev: 'https://infinia.botble.com/api/v1/posts/filters?page=15'
                    next: null
                  meta:
                    current_page: 16
                    from: null
                    last_page: 1
                    links:
                      -
                        url: 'https://infinia.botble.com/api/v1/posts/filters?page=15'
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                        label: '1'
                        active: false
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://infinia.botble.com/api/v1/posts/filters'
                    per_page: 16
                    to: null
                    total: 0
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example: []
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                      last:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                      prev:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts/filters?page=15'
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 16
                      from:
                        type: string
                        example: null
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: 'https://infinia.botble.com/api/v1/posts/filters?page=15'
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/posts/filters?page=1'
                            label: '1'
                            active: false
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: 'https://infinia.botble.com/api/v1/posts/filters?page=15'
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/posts/filters'
                      per_page:
                        type: integer
                        example: 16
                      to:
                        type: string
                        example: null
                      total:
                        type: integer
                        example: 0
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  '/api/v1/posts/{slug}':
    get:
      summary: 'Get post by slug'
      operationId: getPostBySlug
      description: ''
      parameters:
        -
          in: query
          name: slug
          description: 'Find by slug of post.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Find by slug of post.'
            example: architecto
            nullable: false
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'Not found'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Not found'
      tags:
        - Blog
      security: []
    parameters:
      -
        in: path
        name: slug
        description: 'The slug of the post.'
        example: architecto
        required: true
        schema:
          type: string
  /api/v1/categories/filters:
    get:
      summary: 'Filters categories'
      operationId: filtersCategories
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Web Development'
                      slug: web-development
                      url: 'https://infinia.botble.com/web-development'
                      description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                    -
                      id: 3
                      name: Tutorials
                      slug: tutorials
                      url: 'https://infinia.botble.com/tutorials'
                      description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                    -
                      id: 4
                      name: 'Technology Reviews'
                      slug: technology-reviews
                      url: 'https://infinia.botble.com/technology-reviews'
                      description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                    -
                      id: 5
                      name: 'Personal Blog'
                      slug: personal-blog
                      url: 'https://infinia.botble.com/personal-blog'
                      description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                    -
                      id: 2
                      name: 'Open Source Contributions'
                      slug: open-source-contributions
                      url: 'https://infinia.botble.com/open-source-contributions'
                      description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                    -
                      id: 8
                      name: 'Design Portfolio'
                      slug: design-portfolio
                      url: 'https://infinia.botble.com/design-portfolio'
                      description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                    -
                      id: 9
                      name: Collaborations
                      slug: collaborations
                      url: 'https://infinia.botble.com/collaborations'
                      description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                    -
                      id: 7
                      name: 'Coding Challenges'
                      slug: coding-challenges
                      url: 'https://infinia.botble.com/coding-challenges'
                      description: 'Expedita aut ut ut quae saepe. Nesciunt fuga ut iusto omnis reprehenderit excepturi placeat. Eveniet molestias explicabo iure qui harum sint sapiente. Et vero et distinctio eligendi sunt.'
                    -
                      id: 6
                      name: 'Career Journey'
                      slug: career-journey
                      url: 'https://infinia.botble.com/career-journey'
                      description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                  links:
                    first: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                    last: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://infinia.botble.com/api/v1/categories/filters'
                    per_page: 10
                    to: 9
                    total: 9
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Web Development'
                        slug: web-development
                        url: 'https://infinia.botble.com/web-development'
                        description: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                      -
                        id: 3
                        name: Tutorials
                        slug: tutorials
                        url: 'https://infinia.botble.com/tutorials'
                        description: 'Non labore qui eos tenetur quia temporibus. Occaecati quo ullam eligendi optio beatae ex. Sit recusandae et aliquid nam sapiente fugiat architecto. Consequuntur quia consequuntur qui quae.'
                      -
                        id: 4
                        name: 'Technology Reviews'
                        slug: technology-reviews
                        url: 'https://infinia.botble.com/technology-reviews'
                        description: 'Et quia odio sunt ipsa accusamus eum ipsum. Voluptatem occaecati qui porro sint. Dolore omnis ut ducimus consequatur nisi velit. Vel velit laborum explicabo error qui dolorum assumenda.'
                      -
                        id: 5
                        name: 'Personal Blog'
                        slug: personal-blog
                        url: 'https://infinia.botble.com/personal-blog'
                        description: 'Voluptate amet unde non aliquid eaque. Accusamus rerum ut veritatis minima. Voluptas incidunt accusantium et eos. Sapiente et aut cupiditate ut nulla itaque.'
                      -
                        id: 2
                        name: 'Open Source Contributions'
                        slug: open-source-contributions
                        url: 'https://infinia.botble.com/open-source-contributions'
                        description: 'Et earum autem et. Et cum doloribus voluptatem. Ab nobis molestiae dolore cumque vel. Saepe eum aut minima. Quos magnam recusandae esse molestias.'
                      -
                        id: 8
                        name: 'Design Portfolio'
                        slug: design-portfolio
                        url: 'https://infinia.botble.com/design-portfolio'
                        description: 'Suscipit hic sint nihil. Ea dicta quidem nulla nam dolore sequi. Molestiae voluptas nesciunt alias ipsum rerum aut nesciunt voluptatem.'
                      -
                        id: 9
                        name: Collaborations
                        slug: collaborations
                        url: 'https://infinia.botble.com/collaborations'
                        description: 'Voluptates quis reiciendis tempore. Repudiandae libero id sit ut reiciendis deleniti. Tenetur neque suscipit distinctio distinctio facilis harum assumenda.'
                      -
                        id: 7
                        name: 'Coding Challenges'
                        slug: coding-challenges
                        url: 'https://infinia.botble.com/coding-challenges'
                        description: 'Expedita aut ut ut quae saepe. Nesciunt fuga ut iusto omnis reprehenderit excepturi placeat. Eveniet molestias explicabo iure qui harum sint sapiente. Et vero et distinctio eligendi sunt.'
                      -
                        id: 6
                        name: 'Career Journey'
                        slug: career-journey
                        url: 'https://infinia.botble.com/career-journey'
                        description: 'Commodi quis voluptatibus laboriosam. Voluptatem in reprehenderit voluptas. Odit nam amet sed deleniti et. Voluptate et at autem fugiat maxime quis nesciunt quia.'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Web Development'
                        slug:
                          type: string
                          example: web-development
                        url:
                          type: string
                          example: 'https://infinia.botble.com/web-development'
                        description:
                          type: string
                          example: 'Et tempore consequuntur sint pariatur porro distinctio ratione. Beatae voluptates mollitia veritatis omnis dolorum laboriosam. Sit aut voluptates tempore aliquid similique et modi eius.'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                      last:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://infinia.botble.com/api/v1/categories/filters?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://infinia.botble.com/api/v1/categories/filters'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 9
                      total:
                        type: integer
                        example: 9
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  '/api/v1/categories/{slug}':
    get:
      summary: 'Get category by slug'
      operationId: getCategoryBySlug
      description: ''
      parameters:
        -
          in: query
          name: slug
          description: 'Find by slug of category.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Find by slug of category.'
            example: architecto
            nullable: false
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'Not found'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Not found'
      tags:
        - Blog
      security: []
    parameters:
      -
        in: path
        name: slug
        description: 'The slug of the category.'
        example: architecto
        required: true
        schema:
          type: string
  /api/v1/me:
    get:
      summary: 'Get the user profile information.'
      operationId: getTheUserProfileInformation
      description: ''
      parameters: []
      responses:
        401:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: Unauthenticated.
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: Unauthenticated.
      tags:
        - Profile
    put:
      summary: 'Update profile'
      operationId: updateProfile
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: 'This field is required when <code>name</code> is not present. Must not be greater than 120 characters. Must be at least 2 characters.'
                  example: bngz
                  nullable: true
                last_name:
                  type: string
                  description: 'This field is required when <code>name</code> is not present. Must not be greater than 120 characters. Must be at least 2 characters.'
                  example: miyv
                  nullable: true
                name:
                  type: string
                  description: Name.
                  example: architecto
                  nullable: true
                phone:
                  type: string
                  description: Phone.
                  example: architecto
                  nullable: true
                dob:
                  type: date
                  description: 'nullable Date of birth (format: Y-m-d).'
                  example: architecto
                  nullable: true
                gender:
                  type: string
                  description: 'Gender (male, female, other).'
                  example: architecto
                  nullable: true
                description:
                  type: string
                  description: Description
                  example: 'Eius et animi quos velit et.'
                  nullable: true
                email:
                  type: string
                  description: Email.
                  example: gbailey@example.net
                  nullable: true
              required:
                - name
                - phone
  /api/v1/update/avatar:
    post:
      summary: 'Update Avatar'
      operationId: updateAvatar
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                avatar:
                  type: string
                  format: binary
                  description: 'Avatar file.'
                  nullable: false
              required:
                - avatar
  /api/v1/update/password:
    put:
      summary: 'Update password'
      operationId: updatePassword
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                password:
                  type: string
                  description: 'The new password of user.'
                  example: '|]|{+-'
                  nullable: false
                old_password:
                  type: string
                  description: 'The current password of user.'
                  example: architecto
                  nullable: false
              required:
                - password
                - old_password
